Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233742 - Review Request: perl-Math-Spline - Cubic Spline Interpolation of data
Summary: Review Request: perl-Math-Spline - Cubic Spline Interpolation of data
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: perl-SVG-Graph
TreeView+ depends on / blocked
 
Reported: 2007-03-24 13:09 UTC by Alex Lancaster
Modified: 2016-08-14 16:26 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-30 01:51:24 UTC
panemade: fedora-review+
jwboyer: fedora-cvs+


Attachments (Terms of Use)

Description Alex Lancaster 2007-03-24 13:09:12 UTC
Spec URL: http://allele5.biol.berkeley.edu/~alex/fedora/perl-Math-Derivative.spec
SRPM URL: http://allele5.biol.berkeley.edu/~alex/fedora/perl-Math-Derivative-0.01-1.noarch.rpm
Description: 
This package provides cubic spline interpolation of numeric data. The data
is passed as references to two arrays containing the x and y ordinates. It
may be used as an exporter of the numerical functions or, more easily as a
class module.

Comment 2 Parag AN(पराग) 2007-03-29 05:59:01 UTC
No License test in Spline.pm

Comment 3 Parag AN(पराग) 2007-03-29 05:59:37 UTC
Found some License text in README as
 Copyright (c) 1995 John A.R. Williams. All rights reserved.
     This program is free software; you can redistribute it and/or
     modify it under the same terms as Perl itself.

Comment 4 Alex Lancaster 2007-03-29 07:42:55 UTC
the perl-Math-Spline package has the same issue as perl-Math-Derivative
(approved by cweyl), I will bug upstream about putting the license in the
Spline.pm file.

Comment 5 Parag AN(पराग) 2007-03-29 09:10:00 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
a9ebe29ba1794d1dca60aa0c44178197  Math-Spline-0.01.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test
No tests defined for Math::Spline extension.
+ Provides: perl(Math::Spline)

APPROVED.


Comment 6 Alex Lancaster 2007-03-29 09:18:20 UTC
New Package CVS Request
=======================
Package Name: perl-Math-Spline
Short Description: Perl module for cubic spline interpolation of data
Owners: alexl@users.sourceforge.net
Branches: FC-5 FC-6
InitialCC: 

Comment 7 Alex Lancaster 2007-03-30 01:51:24 UTC
Builds fine all branches.  Closing.


Note You need to log in before you can comment on or make changes to this bug.